{ rustPlatform, lib, callPackage, projectConfig ? callPackage ./project-config.nix { }, ... }: rustPlatform.buildRustPackage {
  inherit (projectConfig) buildInputs nativeBuildInputs;
  pname = "chat-signaling-server";
  version = "0.1.0";


  src = ./.;

  cargoLock = {
    lockFile = ./Cargo.lock;
  };

  meta = with lib; {
    description = "rust project scaffold";
    homepage = "https://git.jeffthecoder.xyz/public/os-flakes";
    license = licenses.unlicense;
    maintainers = [ ];
  };
}
