{ dockerTools, callPackage, ... }:
let
  pkg = callPackage ./default.nix {};
in 
  dockerTools.buildImage {
    name = pkg.crateName;
    tag = pkg.crateVersion;

    config = {
      Volumes = {
        "/data" = {};
      };
      WorkingDir = "/data";
      Entrypoint = ["${pkg}/bin/server"];
    };
  }