{ rustPlatform, lib, fetchCrate, stdenv, darwin, ...}: rustPlatform.buildRustPackage rec {
  pname = "kopium";
  version = "0.16.2";

  cargoHash = "sha256-tpCPRKwA3vv+1p6ab7whIhwVvw6IXqAQaOIw9br6qEY=";

  buildInputs = lib.optional stdenv.isDarwin darwin.apple_sdk.frameworks.Security;

  doCheck = false;

  src = fetchCrate {
    inherit pname version;
    hash = "sha256-i4tBu/k3EiJA1WcMpTksQzoVWAiD/hvGGyPoPKZD6fQ";
  };
}
